# Estimate Rune Mint Order

Use this endpoint to estimate the cost of a Rune Mint order, before executing it.

## Quick Start

## POST /v1/runes-managed/mint/estimate

> Estimate total cost for a batch mint order.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes-managed/mint/estimate":{"post":{"tags":["Runes mint"],"description":"Estimate total cost for a batch mint order.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"runeName":{"type":"string"},"repeats":{"minimum":1,"type":"number"},"destinationAddress":{"type":"string"},"refundAddress":{"type":"string"},"feeRate":{"minimum":1,"type":"number"},"appServiceFee":{"minimum":0,"type":"number"},"appServiceFeeAddress":{"type":"string"}},"required":["runeName","repeats","destinationAddress","feeRate"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalSize":{"type":"number"},"totalCost":{"type":"number"},"costBreakdown":{"type":"object","properties":{"postage":{"type":"number"},"networkFee":{"type":"number"},"serviceFee":{"type":"number"},"appServiceFee":{"type":"number"}},"required":["postage","networkFee","serviceFee"]}},"required":["totalSize","totalCost","costBreakdown"]}}}}}}}}}
```

## Estimate Rune Mint Order - Request

You can specify the characteristics of the Runes \<int order you wish to estimate, by passing a request body, with the below properties:

<table><thead><tr><th width="226.1875">Estimate Mint - Request Body</th><th>Description</th></tr></thead><tbody><tr><td><code>runeName</code></td><td>a string representing the <a href="https://docs.ordinals.com/runes.html#name">name of the Rune </a>to mint</td></tr><tr><td><code>repeats</code></td><td>a number representing the number of mint transactions to create. Every mint transaction creates a <a href="https://docs.ordinals.com/runes.html#amount">fixed amount </a>of new units of a rune, you can use <code>repeats</code> to mint a multiple of that amount. <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> Note that there is a 4000 repeat limit per order</td></tr><tr><td><code>destinationAddress</code></td><td>The Bitcoin address to which the minted runes should be allocated.<br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> If minting Runes for your app user, make sure to use their  taproot/ordinal addresses for runes holdings.</td></tr><tr><td><code>feeRate</code> </td><td>a number representing the desired fee rate to set for the Rune mint transaction(s), in sats per vbytes</td></tr><tr><td><code>appServiceFee</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a number representing the sats value of the fee to charge your user for your service. </td></tr><tr><td><code>appServiceFeeAddress</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin address which will receive the  <code>appServiceFee</code>, if a fee is specified</td></tr><tr><td><code>network</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin network to use for the mint runes transactions: <code>'Mainnet'</code> or <code>'Testnet'</code></td></tr></tbody></table>

## Estimate Rune Mint Order - Response

The response object is intended for you and your user to anticipate the costs of your specified Rune Mint order, with a clear breakdown:

<table><thead><tr><th width="241.21484375">Estimate Mint - Response Object </th><th>Description</th></tr></thead><tbody><tr><td><code>totalSize</code></td><td>a number representing the total size of the mint transaction(s), in vbytes </td></tr><tr><td><code>totalCost</code></td><td>a number representing the total cost of the mint transaction(s) in sats</td></tr><tr><td><code>costBreakdown</code></td><td><p>An object representing the cost breakdown of the mint transaction(s), with the below properties:</p><ul><li><code>postage</code> a number representing the total size of the Rune UTXOs minted, in sats</li><li><code>networkFee</code> a number representing the total network fee for the mint transaction(s), in sats</li><li><code>serviceFee</code> a number representing the total Sats Connect fee for processing the mint order, in sats</li><li><code>appServiceFee</code> a number representing the optional service fee your app charges the user for the mint order</li></ul></td></tr></tbody></table>

## Next Step -> Create Rune Mint Order

Use the [Create Mint Order](/api/runes/mint-rune/create-rune-mint-order.md) endpoint if you wish to proceed with a Runes Mint order after estimating its cost.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/mint-rune/estimate-rune-mint-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
